What is the required system configuration to read publications on Calaméo?

To read publications on our site, you must have, at least, the following configuration:
  • Firefox 3 or higher, Internet Explorer 8.0 or higher, Chrome 10 or higher or Safari 1.0 or higher
  • High speed connection 500 Kbps or more

 

 

Was this article helpful?
0 out of 1 found this helpful
Have more questions? Submit a request
Powered by Zendesk